<?php
print '<div id="DCuserData" style="width: 100%, height:100%">';
print '<table style="width:100%;">';
print '<tr><td colspan="4">&nbsp;</td></tr>';
print '<tr><td colspan="4"><div class="center devicelist">' . $langs->trans('DevicesList') . '</div></td></tr>';
if (isset($JSON->block2)) {
	foreach ($JSON->block2 as $device) {
		print '<tr style="height: 35px;"><td style="width:200px;">' . $device->ref . '</td><td style="width:350px;" colspan="2">' . $device->title . '</td></tr>';
	}
}
if ($JSON->changes) {
	foreach ($JSON->changes as $record) {
		$refArray = explode('_', $record->ref);
		print '<tr style="height: 35px;"><td style="width:200px;">' . str_replace('_', ' ', $record->ref) . '</td><td style="width:350px;">' . $record->title . ' </td><td class="fields">' . $refArray[1] . '</td></tr>';
	}
}
if (isset($JSON->additionals)) {
	foreach ($JSON->additionals as $additionalKey => $additionalValue) {
		$pieces = $additionalKey == 'bp_card' ? ' ' . $langs->trans('Pieces') : '';
		print '<tr style="height: 35px;"><td style="width:200px;">' . $helper->getAdditionalTitle($additionalKey) . '</td><td style="width:350px;">' . $additionalValue . ' </td><td class="fields">' . $pieces . '</td></tr>';
	}
}
?>